Index: tests/Tesselations/Convex/1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane.at
===================================================================
--- tests/Tesselations/Convex/1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/1_2-dimethylbenzene/testsuite-1_2-dimethylbenzene.at
===================================================================
--- tests/Tesselations/Convex/1_2-dimethylbenzene/testsuite-1_2-dimethylbenzene.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/1_2-dimethylbenzene/testsuite-1_2-dimethylbenzene.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -31,5 +31,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/2-methylcyclohexanone/testsuite-2-methylcyclohexanone.at
===================================================================
--- tests/Tesselations/Convex/2-methylcyclohexanone/testsuite-2-methylcyclohexanone.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/2-methylcyclohexanone/testsuite-2-methylcyclohexanone.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide.at
===================================================================
--- tests/Tesselations/Convex/N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/amylose/testsuite-amylose.at
===================================================================
--- tests/Tesselations/Convex/amylose/testsuite-amylose.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/amylose/testsuite-amylose.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/benzene/testsuite-benzene.at
===================================================================
--- tests/Tesselations/Convex/benzene/testsuite-benzene.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/benzene/testsuite-benzene.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -31,5 +31,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/cholesterol/testsuite-cholesterol.at
===================================================================
--- tests/Tesselations/Convex/cholesterol/testsuite-cholesterol.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/cholesterol/testsuite-cholesterol.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/cycloheptane/testsuite-cycloheptane.at
===================================================================
--- tests/Tesselations/Convex/cycloheptane/testsuite-cycloheptane.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/cycloheptane/testsuite-cycloheptane.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate.at
===================================================================
--- tests/Tesselations/Convex/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/glucose/testsuite-glucose.at
===================================================================
--- tests/Tesselations/Convex/glucose/testsuite-glucose.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/glucose/testsuite-glucose.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/heptan/testsuite-heptan.at
===================================================================
--- tests/Tesselations/Convex/heptan/testsuite-heptan.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/heptan/testsuite-heptan.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/isoleucine/testsuite-isoleucine.at
===================================================================
--- tests/Tesselations/Convex/isoleucine/testsuite-isoleucine.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/isoleucine/testsuite-isoleucine.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/neohexane/testsuite-neohexane.at
===================================================================
--- tests/Tesselations/Convex/neohexane/testsuite-neohexane.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/neohexane/testsuite-neohexane.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/proline/testsuite-proline.at
===================================================================
--- tests/Tesselations/Convex/proline/testsuite-proline.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/proline/testsuite-proline.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/putrescine/testsuite-putrescine.at
===================================================================
--- tests/Tesselations/Convex/putrescine/testsuite-putrescine.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/putrescine/testsuite-putrescine.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -29,5 +29,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
Index: tests/Tesselations/Convex/tartaric_acid/testsuite-tartaric_acid.at
===================================================================
--- tests/Tesselations/Convex/tartaric_acid/testsuite-tartaric_acid.at	(revision 6491d3fd495cb3539c6999bc57f5fe2d2bee92c9)
+++ tests/Tesselations/Convex/tartaric_acid/testsuite-tartaric_acid.at	(revision 775f3f8d3729df4cb121afcd5b0310956524e93c)
@@ -31,5 +31,5 @@
 for RADIUS in  2.5 5 25; do
 	output=ConvexEnvelope-${mol}-${RADIUS}.dat
-	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 --verbose 1 --convex-envelope ${RADIUS} --convex-file $output --nonconvex-file non_$output], 0, [stdout], [stderr])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/Convex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
 	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])