Index: tests/GuiChecks/Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at
===================================================================
--- tests/GuiChecks/Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at	(revision af340c21b5447cefb53f0abf8de5efbe586d4b7b)
+++ tests/GuiChecks/Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at	(revision 835b534f9c100ac279ff0fbe104d05901bbc813f)
@@ -73,5 +73,5 @@
 AT_CHECK([output=BondFragment_Eigenhistogram.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/OBC/$output], 0, [ignore], [ignore])
 AT_CHECK([output=BondFragment_IndexedEnergy.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/OBC/$output], 0, [ignore], [ignore])
-AT_CHECK([grep "File contains long-range information" stderr], 0, [ignore], [ignore], [
+AT_CHECK([grep "File contains long-range information but long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
 	AT_CHECK([output=BondFragment_LongRangeEnergy.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/OBC/$output], 0, [ignore], [ignore])
 	])
@@ -85,8 +85,10 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run -i ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/alkane-3.pdb -o tremolo --set-tremolo-atomdata "Id type x=3 u=3 F=3" --reset 1 --analyse-fragment-results --fragment-resultfile $file --no-dry-run --store-session session-fragmentation-analyse-fragment-results.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/alkane-3.pdb -o tremolo --set-tremolo-atomdata "Id type x=3 u=3 F=3" --reset 1 --analyse-fragment-results --fragment-resultfile $file --no-dry-run --store-session session-fragmentation-analyse-fragment-results.py --session-type python], 0, [ignore], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-analyse-fragment-results.py >session-fragmentation-analyse-fragment-results_new.py], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilderguitest session-fragmentation-analyse-fragment-results_new.py], 0, [ignore], [ignore])
-AT_CHECK([diff alkane-3.data ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/OBC/alkane-3.data], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-analyse-fragment-results_new.py], 0, [ignore], [stderr])
+AT_CHECK([grep "File contains long-range information but long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
+	AT_CHECK([diff alkane-3.data ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/OBC/alkane-3.data], 0, [ignore], [ignore])
+	])
 
 AT_CLEANUP
@@ -112,5 +114,5 @@
 AT_CHECK([output=BondFragment_Eigenhistogram.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/PBC/$output], 0, [ignore], [ignore])
 AT_CHECK([output=BondFragment_IndexedEnergy.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/PBC/$output], 0, [ignore], [ignore])
-AT_CHECK([grep "File contains long-range information" stderr], 0, [ignore], [ignore], [
+AT_CHECK([grep "File contains long-range information but long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
 	AT_CHECK([output=BondFragment_LongRangeEnergy.dat; diff $output ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/PBC/$output], 0, [ignore], [ignore])
 	])
@@ -124,8 +126,10 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run -i ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/alkane-3.pdb -o tremolo --set-tremolo-atomdata "Id type x=3 u=3 F=3" --reset 1 --analyse-fragment-results --fragment-resultfile $file --no-dry-run --store-session session-fragmentation-analyse-fragment-results.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/alkane-3.pdb -o tremolo --set-tremolo-atomdata "Id type x=3 u=3 F=3" --reset 1 --analyse-fragment-results --fragment-resultfile $file --no-dry-run --store-session session-fragmentation-analyse-fragment-results.py --session-type python], 0, [ignore], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-analyse-fragment-results.py >session-fragmentation-analyse-fragment-results_new.py], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilderguitest session-fragmentation-analyse-fragment-results_new.py], 0, [ignore], [ignore])
-AT_CHECK([diff alkane-3.data ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/PBC/alkane-3.data], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-analyse-fragment-results_new.py], 0, [ignore], [stderr])
+AT_CHECK([grep "File contains long-range information but long-range analysis capability not compiled in" stderr], 0, [ignore], [ignore], [
+	AT_CHECK([diff alkane-3.data ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/PBC/alkane-3.data], 0, [ignore], [ignore])
+	])
 
 AT_CLEANUP