Index: src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -0,0 +1,38 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * UnsignedIntQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp"
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include "CodePatterns/MemDebug.hpp"
+
+
+UnsignedIntQtQueryPipe::UnsignedIntQtQueryPipe(unsigned int *_content, QtDialog *_dialog) :
+  content(_content),
+  dialog(_dialog)
+{}
+
+UnsignedIntQtQueryPipe::~UnsignedIntQtQueryPipe()
+{}
+
+void UnsignedIntQtQueryPipe::update(unsigned int newUnsignedInt) {
+  (*content) = newUnsignedInt;
+  dialog->update();
+}
+
Index: src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -0,0 +1,37 @@
+/*
+ * UnsignedIntQtQueryPipe.hpp
+ *
+ *  Created on: Nov 8, 2010
+ *      Author: heber
+ */
+
+#ifndef UNSIGNEDINTQTQUERYPIPE_HPP_
+#define UNSIGNEDINTQTQUERYPIPE_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <Qt/qwidget.h>
+
+class QtDialog;
+
+class UnsignedIntQtQueryPipe : public QWidget {
+  Q_OBJECT
+public:
+  UnsignedIntQtQueryPipe(unsigned int *_content, QtDialog *_dialog);
+  virtual ~UnsignedIntQtQueryPipe();
+
+public slots:
+  void update(unsigned int);
+
+private:
+  unsigned int *content;
+  QtDialog *dialog;
+
+};
+
+
+#endif /* UNSIGNEDINTQTQUERYPIPE_HPP_ */
Index: src/UIElements/Qt4/QtDialog.cpp
===================================================================
--- src/UIElements/Qt4/QtDialog.cpp	(revision 907636a5dab60af4f441f0c8888aadfce03987fc)
+++ src/UIElements/Qt4/QtDialog.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -110,4 +110,9 @@
 }
 
+void QtDialog::queryUnsignedInt(const char *title,string)
+{
+  registerQuery(new UnsignedIntQtQuery(title,inputLayout,this));
+}
+
 void QtDialog::queryDouble(const char* title,string)
 {
Index: src/UIElements/Qt4/QtDialog.hpp
===================================================================
--- src/UIElements/Qt4/QtDialog.hpp	(revision 907636a5dab60af4f441f0c8888aadfce03987fc)
+++ src/UIElements/Qt4/QtDialog.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -36,4 +36,5 @@
   virtual void queryInt(const char *,std::string = "");
   virtual void queryInts(const char *,std::string = "");
+  virtual void queryUnsignedInt(const char *,std::string = "");
   virtual void queryDouble(const char*,std::string = "");
   virtual void queryDoubles(const char*,std::string = "");
@@ -73,4 +74,5 @@
   class StringQtQuery;
   class StringsQtQuery;
+  class UnsignedIntQtQuery;
   class VectorQtQuery;
   class VectorsQtQuery;
Index: src/UIElements/Qt4/Query/QtQuery.hpp
===================================================================
--- src/UIElements/Qt4/Query/QtQuery.hpp	(revision 907636a5dab60af4f441f0c8888aadfce03987fc)
+++ src/UIElements/Qt4/Query/QtQuery.hpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -47,4 +47,5 @@
 class StringQtQueryPipe;
 class StringsQtQueryPipe;
+class UnsignedIntQtQueryPipe;
 class VectorQtQueryPipe;
 class VectorsQtQueryPipe;
@@ -279,4 +280,18 @@
 };
 
+class QtDialog::UnsignedIntQtQuery : public Dialog::UnsignedIntQuery {
+public:
+  UnsignedIntQtQuery(std::string _title,QBoxLayout *_parent,QtDialog *_dialog);
+  virtual ~UnsignedIntQtQuery();
+  virtual bool handle();
+private:
+  QBoxLayout *parent;
+  QBoxLayout *thisLayout;
+  QLabel *titleLabel;
+  QSpinBox *inputBox;
+
+  UnsignedIntQtQueryPipe *pipe;
+};
+
 class QtDialog::VectorQtQuery : public Dialog::VectorQuery {
 public:
Index: src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
+++ src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp	(revision 838cd09f5b0b8fc58fc121f2fad94ab4a811175b)
@@ -0,0 +1,55 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * UnsignedIntQtQuery.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <Qt/qboxlayout.h>
+#include <Qt/qlabel.h>
+#include <Qt/qspinbox.h>
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "UIElements/Qt4/Query/QtQuery.hpp"
+#include "UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp"
+
+
+QtDialog::UnsignedIntQtQuery::UnsignedIntQtQuery(string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::UnsignedIntQuery(_title),
+    parent(_parent)
+{
+  thisLayout = new QHBoxLayout();
+  titleLabel = new QLabel(QString(getTitle().c_str()));
+  inputBox = new QSpinBox();
+  inputBox->setValue(0);
+  parent->addLayout(thisLayout);
+  thisLayout->addWidget(titleLabel);
+  thisLayout->addWidget(inputBox);
+
+  pipe = new UnsignedIntQtQueryPipe(&tmp,_dialog);
+  pipe->update(inputBox->value());
+  connect(inputBox,SIGNAL(valueChanged(unsigned int)),pipe,SLOT(update(unsigned int)));
+}
+
+QtDialog::UnsignedIntQtQuery::~UnsignedIntQtQuery()
+{
+  delete pipe;
+}
+
+bool QtDialog::UnsignedIntQtQuery::handle() {
+  return true;
+}
+