Index: src/UIElements/Query/AtomQuery.cpp
===================================================================
--- src/UIElements/Query/AtomQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * AtomQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-// Atom Queries
-Dialog::AtomQuery::AtomQuery(Parameter<const atom *> &_param, std::string title, std::string _description) :
-    Query(title, _description),
-    param(_param)
-{}
-
-Dialog::AtomQuery::~AtomQuery() {}
-
-void Dialog::AtomQuery::setResult() {
-}
-
Index: src/UIElements/Query/AtomsQuery.cpp
===================================================================
--- src/UIElements/Query/AtomsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * AtomsQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Atoms Queries
-Dialog::AtomsQuery::AtomsQuery(Parameter<std::vector<const atom *> > &_param, std::string title, std::string _description) :
-    Query(title, _description),
-    param(_param)
-{}
-
-Dialog::AtomsQuery::~AtomsQuery() {}
-
-void Dialog::AtomsQuery::setResult() {
-}
-
Index: src/UIElements/Query/BooleanQuery.cpp
===================================================================
--- src/UIElements/Query/BooleanQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * BooleanQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Bool Queries
-Dialog::BooleanQuery::BooleanQuery(Parameter<bool> &_param, std::string title,std::string description) :
-    Query(title, description),
-    param(_param)
-{}
-
-Dialog::BooleanQuery::~BooleanQuery() {}
-
-void Dialog::BooleanQuery::setResult() {
-}
-
Index: src/UIElements/Query/DoubleQuery.cpp
===================================================================
--- src/UIElements/Query/DoubleQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * DoubleQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Double Queries
-Dialog::DoubleQuery::DoubleQuery(Parameter<double> &_param, std::string title, std::string _description) :
-    Query(title, _description),
-    param(_param)
-{}
-
-Dialog::DoubleQuery::~DoubleQuery() {};
-
-void Dialog::DoubleQuery::setResult() {
-}
-
Index: src/UIElements/Query/DoublesQuery.cpp
===================================================================
--- src/UIElements/Query/DoublesQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * DoublesQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Doubles Queries
-Dialog::DoublesQuery::DoublesQuery(Parameter<std::vector<double> > &_param, std::string title, std::string _description) :
-    Query(title, _description),
-    param(_param)
-{}
-
-Dialog::DoublesQuery::~DoublesQuery() {};
-
-void Dialog::DoublesQuery::setResult() {
-}
-
Index: src/UIElements/Query/ElementQuery.cpp
===================================================================
--- src/UIElements/Query/ElementQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * ElementQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Element Queries
-Dialog::ElementQuery::ElementQuery(Parameter<const element *> &_param, std::string title, std::string _description) :
-  Query(title, _description),
-  param(_param)
-  {}
-
-Dialog::ElementQuery::~ElementQuery(){}
-
-void Dialog::ElementQuery::setResult(){
-}
-
Index: src/UIElements/Query/ElementsQuery.cpp
===================================================================
--- src/UIElements/Query/ElementsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * ElementsQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Elements Queries
-Dialog::ElementsQuery::ElementsQuery(Parameter<std::vector<const element *> > &_param, std::string title, std::string _description) :
-  Query(title, _description),
-  param(_param)
-  {}
-
-Dialog::ElementsQuery::~ElementsQuery(){}
-
-void Dialog::ElementsQuery::setResult(){
-}
-
Index: src/UIElements/Query/FileQuery.cpp
===================================================================
--- src/UIElements/Query/FileQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * FileQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// File Queries
-Dialog::FileQuery::FileQuery(Parameter<boost::filesystem::path> &_param, std::string title, std::string _description) :
-  Query(title, _description),
-  param(_param)
-  {}
-
-Dialog::FileQuery::~FileQuery(){}
-
-void Dialog::FileQuery::setResult(){
-}
-
Index: src/UIElements/Query/FilesQuery.cpp
===================================================================
--- src/UIElements/Query/FilesQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * FilesQuery.cpp
- *
- *  Created on: May 21, 2012
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// File Queries
-Dialog::FilesQuery::FilesQuery(Parameter<std::vector< boost::filesystem::path> > &_param, std::string title, std::string _description) :
-  Query(title, _description),
-  param(_param)
-  {}
-
-Dialog::FilesQuery::~FilesQuery(){}
-
-void Dialog::FilesQuery::setResult(){
-}
-
Index: src/UIElements/Query/IntQuery.cpp
===================================================================
--- src/UIElements/Query/IntQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * IntQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Int Queries
-Dialog::IntQuery::IntQuery(Parameter<int> &_param, std::string title, std::string description) :
-    Query(title, description),
-    param(_param)
-{}
-
-Dialog::IntQuery::~IntQuery() {}
-
-void Dialog::IntQuery::setResult() {
-}
-
Index: src/UIElements/Query/IntsQuery.cpp
===================================================================
--- src/UIElements/Query/IntsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * IntsQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Ints Queries
-Dialog::IntsQuery::IntsQuery(Parameter<std::vector<int> > &_param, std::string title, std::string description) :
-    Query(title, description),
-    param(_param)
-{}
-
-Dialog::IntsQuery::~IntsQuery() {}
-
-void Dialog::IntsQuery::setResult() {
-}
-
Index: src/UIElements/Query/MoleculeQuery.cpp
===================================================================
--- src/UIElements/Query/MoleculeQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * MoleculeQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Molecule Queries
-Dialog::MoleculeQuery::MoleculeQuery(Parameter<const molecule *> &_param, std::string title, std::string _description) :
-    Query(title, _description),
-    param(_param)
-{}
-
-Dialog::MoleculeQuery::~MoleculeQuery() {}
-
-void Dialog::MoleculeQuery::setResult() {
-}
-
Index: src/UIElements/Query/MoleculesQuery.cpp
===================================================================
--- src/UIElements/Query/MoleculesQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * MoleculesQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Molecules Queries
-Dialog::MoleculesQuery::MoleculesQuery(Parameter<std::vector<const molecule *> > &_param, std::string title, std::string _description) :
-    Query(title, _description),
-    param(_param)
-{}
-
-Dialog::MoleculesQuery::~MoleculesQuery() {}
-
-void Dialog::MoleculesQuery::setResult() {
-}
-
Index: src/UIElements/Query/RandomNumberDistribution_ParametersQuery.cpp
===================================================================
--- src/UIElements/Query/RandomNumberDistribution_ParametersQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * RandomNumberDistribution_ParametersQuery.cpp
- *
- *  Created on: Jan 06, 2011
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-// RandomNumberDistribution_Parameters Queries
-Dialog::RandomNumberDistribution_ParametersQuery::RandomNumberDistribution_ParametersQuery(Parameter<RandomNumberDistribution_Parameters> &_param, std::string title, std::string _description) :
-    Query(title, _description),
-    param(_param)
-{}
-
-Dialog::RandomNumberDistribution_ParametersQuery::~RandomNumberDistribution_ParametersQuery() {}
-
-void Dialog::RandomNumberDistribution_ParametersQuery::setResult() {
-}
-
Index: src/UIElements/Query/RealSpaceMatrixQuery.cpp
===================================================================
--- src/UIElements/Query/RealSpaceMatrixQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,35 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * BoxQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Box Queries
-Dialog::RealSpaceMatrixQuery::RealSpaceMatrixQuery(Parameter<RealSpaceMatrix> &_param, std::string title, std::string _description) :
-  Query(title, _description),
-  param(_param)
-{}
-
-Dialog::RealSpaceMatrixQuery::~RealSpaceMatrixQuery()
-{}
-
-void Dialog::RealSpaceMatrixQuery::setResult() {
-}
-
Index: src/UIElements/Query/StringQuery.cpp
===================================================================
--- src/UIElements/Query/StringQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * StringQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// String Queries
-Dialog::StringQuery::StringQuery(Parameter<std::string> &_param, std::string title,std::string _description) :
-    Query(title, _description),
-    param(_param)
-{}
-
-Dialog::StringQuery::~StringQuery() {};
-
-void Dialog::StringQuery::setResult() {
-}
-
Index: src/UIElements/Query/StringsQuery.cpp
===================================================================
--- src/UIElements/Query/StringsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * StringsQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Strings Queries
-Dialog::StringsQuery::StringsQuery(Parameter<std::vector<std::string> > &_param, std::string title,std::string _description) :
-    Query(title, _description),
-    param(_param)
-{}
-
-Dialog::StringsQuery::~StringsQuery() {};
-
-void Dialog::StringsQuery::setResult() {
-}
-
Index: src/UIElements/Query/UnsignedIntQuery.cpp
===================================================================
--- src/UIElements/Query/UnsignedIntQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * UnsignedIntQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// UnsignedInt Queries
-Dialog::UnsignedIntQuery::UnsignedIntQuery(Parameter<unsigned int> &_param, std::string title, std::string description) :
-    Query(title, description),
-    param(_param)
-{}
-
-Dialog::UnsignedIntQuery::~UnsignedIntQuery() {}
-
-void Dialog::UnsignedIntQuery::setResult() {
-}
-
Index: src/UIElements/Query/UnsignedIntsQuery.cpp
===================================================================
--- src/UIElements/Query/UnsignedIntsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,34 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * UnsignedIntsQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// UnsignedInts Queries
-Dialog::UnsignedIntsQuery::UnsignedIntsQuery(Parameter<std::vector<unsigned int> > &_param, std::string title, std::string description) :
-    Query(title, description),
-    param(_param)
-{}
-
-Dialog::UnsignedIntsQuery::~UnsignedIntsQuery() {}
-
-void Dialog::UnsignedIntsQuery::setResult() {
-}
-
Index: src/UIElements/Query/VectorQuery.cpp
===================================================================
--- src/UIElements/Query/VectorQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,35 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * VectorQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Vector Queries
-Dialog::VectorQuery::VectorQuery(Parameter<Vector> &_param, std::string title, std::string _description) :
-  Query(title, _description),
-  param(_param)
-{}
-
-Dialog::VectorQuery::~VectorQuery()
-{}
-
-void Dialog::VectorQuery::setResult() {
-}
-
Index: src/UIElements/Query/VectorsQuery.cpp
===================================================================
--- src/UIElements/Query/VectorsQuery.cpp	(revision b2a7ccecbc8b860afe8c429fe125f88d088de1a3)
+++ 	(revision )
@@ -1,35 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * VectorsQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Dialog.hpp"
-
-
-// Vectors Queries
-Dialog::VectorsQuery::VectorsQuery(Parameter<std::vector<Vector> > &_param, std::string title, std::string _description) :
-  Query(title, _description),
-  param(_param)
-{}
-
-Dialog::VectorsQuery::~VectorsQuery()
-{}
-
-void Dialog::VectorsQuery::setResult() {
-}
-